This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 498492 - Review Request: lxshortcut - Small utility to edit application shortcuts
Review Request: lxshortcut - Small utility to edit application shortcuts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-04-30 14:03 EDT by Christoph Wickert
Modified: 2009-06-13 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 17:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-04-30 14:03:05 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxshortcut.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxshortcut-0.1-1.fc11.src.rpm
Description: LXShortcut is a small utility to edit application shortcuts created with freedesktop.org Desktop Entry spec. Now editing of application shortcuts becomes quite easy.

Note: This tool is meant to be started by other applications. Currently it works with lxpanel 0.4.0 (right click on a menu entry -> properties), but lxlaucher and pcmanfm will soon make use of it. To test it's functionality use something like lxshortcut -i 0 -o ~/Desktop/testlauncher.desktop
Comment 1 Susi Lehtola 2009-05-01 02:52:52 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. NEEDSFIX
 /usr/bin/install -c -m 644 'data/lxshortcut.ui' '/builddir/build/BUILDROOT/lxshortcut-0.1-1.fc10.x86_64/usr/share/lxshortcut/lxshortcut.ui'
 /usr/bin/install -c -m 644 'data/choose-icon.ui' '/builddir/build/BUILDROOT/lxshortcut-0.1-1.fc10.x86_64/usr/share/lxshortcut/choose-icon.ui'
- Addind INSTALL="install -p" to make install arguments should fix this.

MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Fix the time stamp issue before importing to cvs. The package has been

APPROVED
Comment 2 Christoph Wickert 2009-05-01 07:11:33 EDT
(In reply to comment #1)
> Fix the time stamp issue before importing to cvs.

Will do, thanks for the review.

New Package CVS Request
=======================
Package Name: lxshortcut
Short Description: Small utility to edit application shortcuts
Owners: cwickert
Branches: F-10 F-11
InitialCC:
Comment 3 Dennis Gilmore 2009-05-01 16:52:50 EDT
CVS Done
Comment 4 Fedora Update System 2009-05-01 17:54:07 EDT
lxshortcut-0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxshortcut-0.1-1.fc11
Comment 5 Fedora Update System 2009-05-01 17:54:17 EDT
lxshortcut-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxshortcut-0.1-1.fc10
Comment 6 Fedora Update System 2009-05-21 19:24:00 EDT
lxshortcut-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-21 19:30:16 EDT
lxshortcut-0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christoph Wickert 2009-05-22 21:43:55 EDT
Package Change Request
======================
Package Name: lxshortcut
New Branches: EL-4 EL-5
Owners: cwickert
Comment 9 Kevin Fenzi 2009-05-23 01:35:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.